curl --request GET \
--url https://api.synctera.com/v2/transactions/pending/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/transactions/pending/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/transactions/pending/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"account_no": "<string>",
"created": "2023-11-07T05:31:56Z",
"data": {
"amount": 1,
"auto_post_at": "2023-11-07T05:31:56Z",
"avail_balance": 123,
"available_balance": 123,
"balance": 123,
"currency": "<string>",
"effective_date": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"force_post": true,
"history": [
{
"account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"account_no": "<string>",
"created": "2023-11-07T05:31:56Z",
"id": 123,
"idemkey": "<string>",
"reference_id": "<string>",
"tenant": "abcdef_ghijkl",
"updated": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {
"amount": 1,
"auto_post_at": "2023-11-07T05:31:56Z",
"avail_balance": 123,
"available_balance": 123,
"balance": 123,
"currency": "<string>",
"effective_date": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"force_post": true,
"idemkey": "<string>",
"memo": "<string>",
"network": "<string>",
"reason": "<string>",
"req_amount": 1,
"subtype": "<string>",
"total_amount": 1,
"transaction_time": "2023-11-07T05:31:56Z",
"type": "<string>",
"was_partial": true,
"external_data": {},
"indefinite": true,
"risk_info": {},
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_data": {}
},
"offset_account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"offset_account_no": "<string>"
}
],
"idemkey": "<string>",
"memo": "<string>",
"network": "<string>",
"reason": "<string>",
"req_amount": 1,
"subtype": "<string>",
"total_amount": 1,
"transaction_time": "2023-11-07T05:31:56Z",
"type": "<string>",
"was_partial": true,
"external_data": {},
"indefinite": true,
"risk_info": {},
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_data": {}
},
"id": 123,
"idemkey": "<string>",
"reference_id": "<string>",
"tenant": "abcdef_ghijkl",
"updated": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enhanced_transaction": {},
"offset_account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"offset_account_no": "<string>"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Get a pending transaction
Get a pending transaction by its uuid
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Unique resource identifier
Response
Pending Transaction
The account id associated with the hold
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The account number associated with the hold
The creation date of the hold
Show child attributes
Show child attributes
The idempotency key used when initially creating this hold.
An external ID provided by the payment network to represent this transaction.
The id of the tenant containing the resource.
"abcdef_ghijkl"
The date the hold was last update
The unique identifier of the hold transaction.
Financial data that has been refined by cleansing, categorizing and adding metadata. For example, inconsistencies in raw transaction data that were introduced via data aggregation are removed, transactions are categorized into groups such as "groceries" or utilities", and metadata (such as merchant names or location and timing details) are added for clarity.
The offset account id associated with the hold
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The offset account number associated with the hold
Was this page helpful?

